Skip to main content
GET
/
contacts
/
{contact_id}
Get contact by ID
curl --request GET \
  --url https://api.getpg.ai/v1/contacts/{contact_id} \
  --header 'X-Api-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "full_name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "current_job_title": "<string>",
  "linkedin_url": "<string>",
  "location": "<string>",
  "country": "<string>",
  "country_code": "<string>",
  "summary": "<string>",
  "image_url": "<string>",
  "headline": "<string>",
  "emails": [
    "<string>"
  ],
  "phones": [
    "<string>"
  ],
  "skills": [
    "<string>"
  ],
  "company": {
    "name": "<string>",
    "linkedin_id": "<string>"
  },
  "experience": [
    {
      "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company": "<string>",
      "company_linkedin_id": "<string>",
      "title": "<string>",
      "location": "<string>",
      "start_date": "2023-11-07T05:31:56Z",
      "end_date": "2023-11-07T05:31:56Z",
      "is_current": true,
      "description": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "education": [
    {
      "degree": "<string>",
      "field_of_study": "<string>",
      "school": "<string>",
      "start_year": 123,
      "end_year": 123
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Api-Key
string
header
required

Your API key for authentication. Get your API key from the PGAI dashboard.

Path Parameters

contact_id
string
required

Contact ID (UUID)

Response

Contact found

Contact information

id
string<uuid>
required

Contact ID

full_name
string

Full name

first_name
string

First name

last_name
string

Last name

current_job_title
string

Current job title

linkedin_url
string<uri>

LinkedIn profile URL

location
string

Location

country
string | null

Country

country_code
string | null

Country code

summary
string

Professional summary

image_url
string<uri>

Profile image URL

headline
string

Professional headline

emails
string[]

Email addresses

phones
string[]

Phone numbers

skills
string[]

Skills

company
object
experience
object[]
education
object[]
created_at
string<date-time>

Creation timestamp

updated_at
string<date-time> | null

Last update timestamp